FreeBSD VuXML: Documenting security issues in FreeBSD and the FreeBSD Ports Collection

haproxy -- buffer overflow

Affected packages
haproxy < 1.4.21


VuXML ID 617959ce-a5f6-11e1-a284-0023ae8e59f0
Discovery 2012-05-21
Entry 2012-05-24
Modified 2012-05-29

HAProxy reports:

A flaw was reported in HAProxy where, due to a boundary error when copying data into the trash buffer, an external attacker could cause a buffer overflow. Exploiting this flaw could lead to the execution of arbitrary code, however it requires non-default settings for the global.tune.bufsize configuration option (must be set to a value greater than the default), and also that header rewriting is enabled (via, for example, the regrep or rsprep directives). This flaw is reported against 1.4.20, prior versions may also be affected.


CVE Name CVE-2012-2391